> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allium.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List datasets

> Returns all datasets owned by the authenticated user.

Returns all datasets belonging to the authenticated user.

## Query Parameters

| Parameter | Type            | Required | Description                                                                   |
| :-------- | :-------------- | :------- | :---------------------------------------------------------------------------- |
| `names`   | list of strings | No       | Filter results to only datasets with these names. Repeat for multiple values. |

## Examples

**List all datasets:**

```bash theme={null}
curl -X GET https://api.allium.so/api/v1/beam/datasets \
  -H "X-API-Key: ${ALLIUM_API_KEY}"
```

**Filter by name:**

```bash theme={null}
curl -X GET "https://api.allium.so/api/v1/beam/datasets?names=my-contracts&names=my-wallets" \
  -H "X-API-Key: ${ALLIUM_API_KEY}"
```

**Response:**

```json theme={null}
[
  {
    "id": "a1b2c3d4",
    "name": "my-contracts",
    "type": "postgres",
    "created_at": "2024-01-15T10:00:00Z",
    "updated_at": "2024-01-15T10:00:00Z"
  }
]
```

| Field        | Description                      |
| :----------- | :------------------------------- |
| `id`         | Unique dataset ID                |
| `name`       | Dataset name                     |
| `type`       | Storage type (always `postgres`) |
| `created_at` | ISO 8601 creation timestamp      |
| `updated_at` | ISO 8601 last-updated timestamp  |


## OpenAPI

````yaml _openapi/beam-api.json GET /api/v1/beam/datasets
openapi: 3.1.0
info:
  title: Allium Beam API
  description: Allium Beam — managed streaming pipelines on top of Allium Datastreams.
  version: 1.0.0
servers:
  - url: https://api.allium.so
security: []
paths:
  /api/v1/beam/datasets:
    get:
      tags:
        - BEAM
      summary: List Datasets Handler
      operationId: list_datasets_handler_api_v1_beam_datasets_get
      parameters:
        - name: names
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
            default: []
            title: Names
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Dataset'
                title: Response List Datasets Handler Api V1 Beam Datasets Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyBearer: []
components:
  schemas:
    Dataset:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          const: postgres
          title: Type
          default: postgres
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - name
      title: Dataset
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyBearer:
      type: apiKey
      in: header
      name: X-API-KEY

````